/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Appointment period details
 */
@ApiModel(description = "Appointment period details")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class AppointmentPeriod {
  @SerializedName("from")
  private LocalDate from = null;

  @SerializedName("to")
  private LocalDate to = null;

  public AppointmentPeriod from(LocalDate from) {
    this.from = from;
    return this;
  }

   /**
   * Date and time of the beginning of the period - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ)
   * @return from
  **/
  @ApiModelProperty(example = "1989-01-01T10:00:00Z", required = true, value = "Date and time of the beginning of the period - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ)")
  public LocalDate getFrom() {
    return from;
  }

  public void setFrom(LocalDate from) {
    this.from = from;
  }

  public AppointmentPeriod to(LocalDate to) {
    this.to = to;
    return this;
  }

   /**
   * Date and time of the end of the period - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ)
   * @return to
  **/
  @ApiModelProperty(example = "1989-01-01T10:30:00Z", value = "Date and time of the end of the period - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ)")
  public LocalDate getTo() {
    return to;
  }

  public void setTo(LocalDate to) {
    this.to = to;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AppointmentPeriod appointmentPeriod = (AppointmentPeriod) o;
    return Objects.equals(this.from, appointmentPeriod.from) &&
        Objects.equals(this.to, appointmentPeriod.to);
  }

  @Override
  public int hashCode() {
    return Objects.hash(from, to);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AppointmentPeriod {\n");
    
    sb.append("    from: ").append(toIndentedString(from)).append("\n");
    sb.append("    to: ").append(toIndentedString(to)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

